com.opensymphony.xwork2.validator.annotations

## Annotation Type DateRangeFieldValidator

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
      public @interface DateRangeFieldValidator

  This validator checks that a date field has a value within a specified range.

  Annotation usage:

  The annotation must be applied at method level.

  Annotation parameters:

  Parameter | Required | Default | Notes
  --- | --- | --- | ---
  message | yes |  | field error message
  key | no |  | i18n key from language specific properties file.
  messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
  fieldName | no |  |
  shortCircuit | no | false | If this validator should be used as shortCircuit.
  type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
  min | no |  | Date property. The minimum the date must be.
  minExpression | no |  | OGNL expression used to obtain the minimum the date must be.
  max | no |  | Date property. The maximum date can be.
  maxExpression | no |  | OGNL expression used to obtain the maximum date can be.
  maxExpression | no |  | OGNL expression used to obtain the maximum date can be.
  dateFormat | no |  | Format used to parse min/max value.

  If neither min nor max is set, nothing will be done.

  Example code:

       @DateRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "2005/01/01", max = "2005/12/31")

  Author:
    Rainer Hermanns

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `dateFormat`
    `String` | `fieldName`
    `String` | `key`
    `String` | `max` Date property.
    `String` | `maxExpression`
    `String` | `message`
    `String[]` | `messageParams`
    `String` | `min` Date property.
    `String` | `minExpression`
    `boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
    `ValidatorType` | `type`

- - ### Element Detail

    - #### min

          public abstract String min

      Date property.
      Returns:
        The minimum the date must be.
      Default:
        ""

  - - #### minExpression

          public abstract String minExpression

      Returns:
        An expression which will be evaluated against the Value Stack to get the min value
      Default:
        ""

  - - #### max

          public abstract String max

      Date property.
      Returns:
        The maximum date can be.
      Default:
        ""

  - - #### maxExpression

          public abstract String maxExpression

      Returns:
        An expression which will be evaluated against the Value Stack to get the max value
      Default:
        ""

  - - #### dateFormat

          public abstract String dateFormat

      Returns:
        Date format used to parse min and max value
      Default:
        ""

  - - #### message

          public abstract String message

      Returns:
        The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
      Default:
        ""

  - - #### key

          public abstract String key

      Returns:
        The message key to lookup for i18n.
      Default:
        ""

  - - #### messageParams

          public abstract String[] messageParams

      Returns:
        Additional params to be used to customize message - will be evaluated against the Value Stack
      Default:
        {}

  - - #### fieldName

          public abstract String fieldName

      Returns:
        The optional fieldName for SIMPLE validator types.
      Default:
        ""

  - - #### shortCircuit

          public abstract boolean shortCircuit

      If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.
      Returns:
        true if validator will be used as short-circuit. Default is false.
      Default:
        false

  - - #### type

          public abstract ValidatorType type

      Returns:
        The validation type for this field/method.
      Default:
        com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.